package it.integry.integrywmsnative.gest.accettazione_bolla_picking.ui;

import androidx.annotation.DrawableRes;

import org.jetbrains.annotations.NotNull;

import java.math.BigDecimal;

import it.integry.integrywmsnative.core.utility.UtilityString;
import it.integry.integrywmsnative.gest.accettazione_bolla_picking.dto.PickingObjectDTO;

public class AccettazioneBollaPickingListModel implements Cloneable {

    private String groupTitle;
    private String titolo;

    private String badge1;
    private @DrawableRes Integer badge2Icon;
    private String badge2;

    private String descrizione;
    private String subDescrizione1;
    private String subDescrizione2;
    private BigDecimal qtaEvasa;
    private BigDecimal qtaTot;
    private String untMis;
    private BigDecimal secQtaEvasa;
    private BigDecimal secQtaTot;
    private String secUntMis;

    private String posizione;

    private boolean active;

    private PickingObjectDTO mOriginalModel;



    @NotNull
    @Override
    public Object clone() {
        try {
            return super.clone();
        } catch (Exception ex) {
            return null;
        }
    }

    public String getGroupTitle() {
        return groupTitle;
    }

    public AccettazioneBollaPickingListModel setGroupTitle(String groupTitle) {
        this.groupTitle = groupTitle;
        return this;
    }

    public boolean isTitoloPresente() {
        return !UtilityString.isNullOrEmpty(titolo);
    }

    public String getTitolo() {
        return titolo;
    }

    public AccettazioneBollaPickingListModel setTitolo(String titolo) {
        this.titolo = titolo;
        return this;
    }

    public String getBadge1() {
        return badge1;
    }

    public AccettazioneBollaPickingListModel setBadge1(String badge1) {
        this.badge1 = badge1;
        return this;
    }

    public @DrawableRes Integer getBadge2Icon() {
        return badge2Icon;
    }

    public AccettazioneBollaPickingListModel setBadge2Icon(@DrawableRes Integer badge2Icon) {
        this.badge2Icon = badge2Icon;
        return this;
    }

    public String getBadge2() {
        return badge2;
    }

    public AccettazioneBollaPickingListModel setBadge2(String badge2) {
        this.badge2 = badge2;
        return this;
    }

    public String getDescrizione() {
        return descrizione;
    }

    public AccettazioneBollaPickingListModel setDescrizione(String descrizione) {
        this.descrizione = descrizione;
        return this;
    }

    public boolean isDescrizionePresente() {
        return !UtilityString.isNullOrEmpty(descrizione);
    }

    public String getSubDescrizione1() {
        return subDescrizione1;
    }

    public AccettazioneBollaPickingListModel setSubDescrizione1(String subDescrizione1) {
        this.subDescrizione1 = subDescrizione1;
        return this;
    }

    public String getSubDescrizione2() {
        return subDescrizione2;
    }

    public AccettazioneBollaPickingListModel setSubDescrizione2(String subDescrizione2) {
        this.subDescrizione2 = subDescrizione2;
        return this;
    }

    public BigDecimal getQtaEvasa() {
        return qtaEvasa;
    }

    public AccettazioneBollaPickingListModel setQtaEvasa(BigDecimal qtaEvasa) {
        this.qtaEvasa = qtaEvasa;
        return this;
    }

    public BigDecimal getQtaTot() {
        return qtaTot;
    }

    public AccettazioneBollaPickingListModel setQtaTot(BigDecimal qtaTot) {
        this.qtaTot = qtaTot;
        return this;
    }

    public String getUntMis() {
        return untMis;
    }

    public AccettazioneBollaPickingListModel setUntMis(String untMis) {
        this.untMis = untMis;
        return this;
    }

    public BigDecimal getSecQtaEvasa() {
        return secQtaEvasa;
    }

    public AccettazioneBollaPickingListModel setSecQtaEvasa(BigDecimal secQtaEvasa) {
        this.secQtaEvasa = secQtaEvasa;
        return this;
    }

    public BigDecimal getSecQtaTot() {
        return secQtaTot;
    }

    public AccettazioneBollaPickingListModel setSecQtaTot(BigDecimal secQtaTot) {
        this.secQtaTot = secQtaTot;
        return this;
    }

    public String getSecUntMis() {
        return secUntMis;
    }

    public AccettazioneBollaPickingListModel setSecUntMis(String secUntMis) {
        this.secUntMis = secUntMis;
        return this;
    }

    public String getPosizione() {
        return posizione;
    }

    public AccettazioneBollaPickingListModel setPosizione(String posizione) {
        this.posizione = posizione;
        return this;
    }

    public boolean isActive() {
        return active;
    }

    public AccettazioneBollaPickingListModel setActive(boolean active) {
        this.active = active;
        return this;
    }

    public PickingObjectDTO getOriginalModel() {
        return mOriginalModel;
    }

    public AccettazioneBollaPickingListModel setOriginalModel(PickingObjectDTO mOriginalModel) {
        this.mOriginalModel = mOriginalModel;
        return this;
    }
    
}
